Bug 1382306 - Eneble object versioning in swift and/or tell tempest it is not enebled by will
Summary: Eneble object versioning in swift and/or tell tempest it is not enebled by will
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Christian Schwede (cschwede)
QA Contact: Attila Fazekas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-06 10:18 UTC by Attila Fazekas
Modified: 2016-12-14 16:10 UTC (History)
8 users (show)

Fixed In Version: puppet-tripleo-5.3.0-3.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:10:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 384616 None None None 2016-10-10 16:04:47 UTC
OpenStack gerrit 385958 None None None 2016-11-01 17:27:23 UTC
Launchpad 1632215 None None None 2016-10-11 07:07:51 UTC

Description Attila Fazekas 2016-10-06 10:18:47 UTC
Description of problem:
Tempest by default expect the swift service is able to handle multiple versions of an object.

It is enabled in the undercloud swift, but not enabled on the overcloud swift.

The feature can be enabled/disabled via:
/etc/swift/container-server.conf [app:container-server] allow_versions true


This is very old feature, we do not have any real reason not to have it enabled by default.


When the feature not enabled, the tempest-deployer-input.conf  must have 

[object-storage-feature-enabled] object_versioning  set to false.

Please enable  this feature by default, or at least
tell to tempest the cloud is unable to support object versioning by will.


Version-Release number of selected component (if applicable):
puppet-swift-9.4.0-1.el7ost.noarch
openstack-tripleo-0.0.1-0.20160916135259.4de13b3.el7ost.noarch
openstack-tripleo-heat-templates-5.0.0-0.20160929150845.4cdc4fc.el7ost.noarch


Actual results:
/etc/swift/container-server.conf [app:container-server] allow_versions is false on the controller nodes.

tempest-deployer-input.conf  does not have [object-storage-feature-enabled] section.


Expected results:
/etc/swift/container-server.conf [app:container-server] allow_versions true

tempest-deployer-input.conf [object-storage-feature-enabled] object_versioning  has the same value as the above option.

Additional info:
tempest-deployer-input.conf created by the 'openstack overcloud deploy' .

Comment 3 Christian Schwede (cschwede) 2016-11-01 17:27:23 UTC
Correct (merged) backport patch is https://review.openstack.org/#/c/385958/.

Setting this bz to modified; patch is included in build puppet-tripleo-5.3.0-3.el7ost

Comment 9 errata-xmlrpc 2016-12-14 16:10:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.